---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_BuildElementMethod;'
    inherits:  '&IDC_Method;'
    name:      BEM - Build Element Method
    index:     29
    customTagName: buildElementMethod
    superclasses:
    - instance: '&IDC_Method;'
    #- instance: '&IDC_ExecutableReturningElement;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Build_Element_Method__has__BEM_Process;'
      customTagName: 'hasBemProcess'
      customTagNameCreatesInstanceOf: '&IDC_BEMProcess;'
    - instance: '&IDR_Build_Element_Method__returns__Element;'
      customTagName: 'returnsElement'

  - relationship: '&IDR_Build_Element_Method__has__BEM_Process;'
    index: 52
    sourceClassId: '&IDC_BuildElementMethod;'
    type: 'returns'
    destinationClassId: '&IDC_BEMProcess;'
    siblingRelationshipId: '&IDR_BEM_Process__for__Build_Element_Method;'
    singular: yes

  - relationship: '&IDR_BEM_Process__for__Build_Element_Method;'
    index: 53
    sourceClassId: '&IDC_BEMProcess;'
    type: 'for'
    destinationClassId: '&IDC_BuildElementMethod;'
    siblingRelationshipId: '&IDR_Build_Element_Method__has__BEM_Process;'
    singular: no

  - relationship: '&IDR_Build_Element_Method__returns__Element;'
    index: 54
    sourceClassId: '&IDC_BuildAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_BuildElementMethod;'
    siblingRelationshipId: '&IDR_Element__returned_by__Build_Element_Method;'
    singular: no

  - relationship: '&IDR_Element__returned_by__Build_Element_Method;'
    index: 55
    sourceClassId: '&IDC_Element;'
    type: 'returned by'
    destinationClassId: '&IDC_BuildElementMethod;'
    siblingRelationshipId: '&IDR_Build_Element_Method__returns__Element;'
    singular: no
